Bug 1260366 - build/es5/defs-main.js not packaged
Summary: build/es5/defs-main.js not packaged
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-defs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Piotr Popieluch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1239726
TreeView+ depends on / blocked
 
Reported: 2015-09-06 09:22 UTC by Piotr Popieluch
Modified: 2015-09-23 13:51 UTC (History)
2 users (show)

Fixed In Version: 1.1.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-09-19 18:55:38 UTC


Attachments (Terms of Use)

Description Piotr Popieluch 2015-09-06 09:22:44 UTC
Package.json contains: 
"main": "build/es5/defs-main.js", 

which means that is the entrypoint of the library. This file is not packaged what results in:

✗ cat a.js 
var a = require("defs");
✗ node a.js 

module.js:340
    throw err;
          ^
Error: Cannot find module 'defs'
    at Function.Module._resolveFilename (module.js:338:15)
    at Function.Module._load (module.js:280:25)
    at Module.require (module.js:364:17)
    at require (module.js:380:17)
    at Object.<anonymous> (/home/piotr/fedora-scm/nodejs-regenerator/regenerator-9423b4ade99173b603430a151599cf8637166f16/a.js:1:71)
    at Module._compile (module.js:456:26)
    at Object.Module._extensions..js (module.js:474:10)
    at Module.load (module.js:356:32)
    at Function.Module._load (module.js:312:12)
    at Function.Module.runMain (module.js:497:10)


I don't think we can just add those files as the are "build", we will need to build the files in %build..

Comment 1 Fedora Update System 2015-09-06 15:30:39 UTC
nodejs-defs-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15216

Comment 2 Fedora Update System 2015-09-06 15:33:31 UTC
nodejs-defs-1.1.0-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15217

Comment 3 Fedora Update System 2015-09-06 15:37:03 UTC
nodejs-defs-1.1.0-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15218

Comment 4 Fedora Update System 2015-09-06 18:51:35 UTC
nodejs-defs-1.1.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-defs'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15217

Comment 5 Fedora Update System 2015-09-06 21:19:04 UTC
nodejs-defs-1.1.0-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-defs'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15218

Comment 6 Fedora Update System 2015-09-06 21:56:40 UTC
nodejs-defs-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-defs'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15216

Comment 7 Fedora Update System 2015-09-08 06:31:58 UTC
nodejs-defs-1.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15295

Comment 8 Fedora Update System 2015-09-08 17:51:32 UTC
nodejs-defs-1.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-defs'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15295

Comment 9 Fedora Update System 2015-09-19 18:55:34 UTC
nodejs-defs-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-09-23 13:48:18 UTC
nodejs-defs-1.1.0-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-09-23 13:51:09 UTC
nodejs-defs-1.1.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.